summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorDavid Spickett <david.spickett@linaro.org>2020-04-23 11:10:08 +0100
committerDavid Spickett <david.spickett@linaro.org>2020-04-28 13:13:46 +0000
commit6273fc478b9c95c4ae8d42c9021f9428b1d43811 (patch)
tree9564b82cc9e90dc4886835d30cbdea35453b1f53 /abe-bisect.sh
parent0ce72e970e6cbb6c39469b503cdf65510f4f99d8 (diff)
Shellcheck fixes round 3
Now using the version that's present in the bionic images. Meaning we have more warnings but can also set the minimum level to ignore a lot of them. Fix the check for whether shellcheck supports --severity. (we have pipefail on, but we expect shellcheck to fail in this case) Change-Id: I296b8554591b7d327c75393e3924184abc6512b7
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index a933c7d9..69607914 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -39,9 +39,9 @@ check_set TARGET
rundir=`pwd -P`
mydir="$(dirname $0)"
-cd "${mydir}"
+cd "${mydir}" || exit
mydir="$(pwd)"
-cd ${rundir}
+cd ${rundir} || exit
MAILBODY=${rundir}/mail-body.txt
rm -f $MAILBODY
@@ -57,7 +57,7 @@ ${ABE}/abe.sh --target $TARGET --retrieve all
rm -rf gcc-bisect-dir
git-new-workdir ./snapshots/gcc.git gcc-bisect-dir
-cd gcc-bisect-dir
+cd gcc-bisect-dir || exit
git bisect reset
git reset --hard
@@ -91,7 +91,7 @@ if [ x"${MODE}" != x ]; then
fi
# Sanity checks on the number of passes/fails in GOOD and BAD
-pushd ${rundir}
+pushd ${rundir} || exit
${ABE}/abe.sh --target ${TARGET} \
gcc=gcc.git@${GOODSHA1} \
--set runtestflags="${EXP}=${TESTNAME}" \
@@ -130,7 +130,7 @@ if [ $bad_nb_fail -le $good_nb_fail ]; then
exit 1
fi
-popd
+popd || exit
git bisect good ${GOODSHA1}
git bisect bad ${BADSHA1}